# inventree-approval

Plugin for generic approval workflows in InvenTree.

## Synopsis

Adds a general-purpose approval system to InvenTree. It allows users to request approval for certain actions, and for others to approve or reject those requests. It is designed to be flexible and extensible and can be used to implement a wide range of approval workflows.

The current testing and development focus is on the ability to request approval for orders (especially purchase orders), the plugin by default blocks unapproved POs from being placed.

## Badges
[![codecov](https://codecov.io/gh/matmair/inventree-approval/graph/badge.svg?token=CI62O5642C)](https://codecov.io/gh/matmair/inventree-approval)


## More info

The [documentation for this plugin](https://doc.invenhost.com/inventree_approval/main/) is available as part of [InvenHost Docs](https://doc.invenhost.com/invenhost).
